# Class JSOFA.EquatorialCoordinate

java.lang.Object
org.jastronomy.jsofa.JSOFA.EquatorialCoordinate

Enclosing class:
  `JSOFA`

public static class JSOFA.EquatorialCoordinate extends Object
Position consisting of (ha, declination) pairs in radians. Where ha is hour angle and dec is declination .

Since:
  JSOFA release 20180130
Version:
  JSOFA Release 20180130
Author:
  Paul Harrison (paul.harrison@manchester.ac.uk) 1 Feb 2010

## Field Summary

Fields
Modifier and Type
Field
Description
`double`
`dec`
`double`
`ha`

## Constructor Summary

Constructors
Constructor
Description
`EquatorialCoordinate(double ha, double dec)`

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ha

public double ha

### dec

public double dec

## Constructor Details

### EquatorialCoordinate

public EquatorialCoordinate(double ha, double dec)